__author__ = 'pav'
from client.proxy import DataProxy
from datetime import datetime

def _UnixToDate(unixformat):
    """
        Transform Unix epoch time to Datetime format
    """
    return datetime.fromtimestamp(int(unixformat)).strftime('%Y-%m-%d %H:%M:%S')


QUERY = """ INSERT INTO geotag_db_geoimage (id, img, timestamp, gps, next_image_id,\
 prev_image_id, width, length, is_wide, region_id, time_to_play, video_uri, angle)
          VALUES ( '%s', '%s', '%s', ST_GeomFromText('POINT (%s)', 4326), %s, %s, 1920, 1080, '%s', \
          '%s', %s, '%s', %s);\n"""


def dataset(dir, sqlfile):
    proxy = DataProxy(dir)
    proxy.process()
    data = proxy.export()

    sock = open(sqlfile, "w")

    for img in data["Wide"]:
        sock.write(QUERY % (
          img[5], img[0], _UnixToDate(img[3]), "%s %s" % (str(img[2]), str(img[1])), img[7], img[6], "true", img[-1], img[-3], img[-2], img[4]
        ))

    for img in data["Tele"]:
        sock.write(QUERY % (
          img[5], img[0], _UnixToDate(img[3]), "%s %s" % (str(img[2]), str(img[1])), img[7], img[6], "false", img[-1], img[-3], img[-2], img[4]
        ))

    sock.close()







if __name__ == "__main__":
    dataset("C:\Users\pav\Desktop\Mikonos", "C:\Users\pav\Desktop\out.sql")