__author__ = 'pav'
from dataset.core.base import DataSet
from dataset.data.handler import ImageDataset

class DataProxy(DataSet):
    """
        Proxy for ImageDataset objects
    """

    def __init__(self, dir):
        if not getattr(self.__class__, 'cached_object', None):
            self.__class__.cached_object = ImageDataset(dir)
            self.__class__.cached_object.extract()
            print "Created ImageDataset Object"
        else:
            self.__class__.cached_object.refresh(dir)
            self.__class__.cached_object.extract()
            print "Using cached object"

    def process(self):
        return self.__class__.cached_object.process()

    def export(self):
        return self.__class__.cached_object.export()



if __name__ == "__main__":
    a = DataProxy("C:\Users\pav\Desktop\Saronikos_8_Poros")
    a.process()
    c = a.export()
    print c["Wide"][0]



