__author__ = 'pav'
from abc import ABCMeta, abstractmethod
from operator import itemgetter
import calendar

from dataset.core.utils import FileSystem


class DataSet():
    """
        A common interface for Proxy & Real Object dataset
    """
    __metaclass__ = ABCMeta

    @abstractmethod
    def process(self):
        pass

    @abstractmethod
    def export(self):
        pass

    @staticmethod
    def servervideo(p):
        return FileSystem.videopath(p)

    @staticmethod
    def setdir(dir):
        return FileSystem.getdirs(dir)

    @staticmethod
    def rmdir(p):
        FileSystem.remove(p)

    @staticmethod
    def djangopath(p):
        return FileSystem.serverpath(p)

    @staticmethod
    def getdatafiles(p):
        return FileSystem.getfiles(p)

    @staticmethod
    def datasort(p, index):
        return sorted(p, key=itemgetter(index))

    @staticmethod
    def epoch(t):
        return calendar.timegm(t.utctimetuple())


if __name__ == "__main__":
    from datetime import datetime
    a = datetime(2013, 9, 10, 9, 4, 17)
    b = datetime(2013, 9, 10, 9, 4, 19)
    c =  DataSet.epoch(b) - DataSet.epoch(a)
    print c
    print type(c)